## sacc 1.00

=== Makefile ===
# sacc: saccomys gopher client
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

BIN = sacc
MAN = $(BIN).1
OBJ = $(BIN:=.o) ui_$(UI).o

all: $(BIN)

config.h:
	cp config.def.h config.h

$(BIN): $(OBJ)
	$(CC) $(OBJ) $(LDFLAGS) $(LIBS) -o $@

$(OBJ): config.h config.mk common.h

clean:
	rm -f $(BIN) $(OBJ)

install: $(BIN)
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	cp -f $(BIN) $(DESTDIR)$(PREFIX)/bin/
	chmod 555 $(DESTDIR)$(PREFIX)/bin/$(BIN)
	mkdir -p $(DESTDIR)$(MANDIR)
	cp -f $(MAN) $(DESTDIR)$(MANDIR)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN)

# Stock FLAGS
SACCCFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE $(CFLAGS)

.c.o:
	$(CC) $(SACCCFLAGS) -c $<

=== debian/changelog ===
sacc (1.00-1) unstable; urgency=medium

  * Initial release. (Closes: #907117)
  * Add upstream metadata file
  * d/rules: add comment on the lack of a distclean target
  * d/control: improve the description

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 13 Sep 2018 10:18:39 +0000

=== debian/control ===
Source: sacc
Section: net
Priority: optional
Maintainer: Paride Legovini <pl@ninthfloor.org>
Build-Depends: debhelper (>= 11~), libncurses-dev
Standards-Version: 4.2.1
Homepage: gopher://bitreich.org/1/scm/sacc
Vcs-Git: https://salsa.debian.org/debian/sacc.git
Vcs-Browser: https://salsa.debian.org/debian/sacc/

Package: sacc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple terminal gopher client
 sacc(omys) is a terminal gopher client. It it written in C and meant
 to be simple, fast, and secure. It has no support for other protocols,
 however it will handle URIs and files that can't be opened natively by
 calling xdg-open.
 .
 Gopher is a simple protocol to retrieve hierarchical information.
 It is strongly oriented towards a menu-document design and presented an
 alternative to the World Wide Web in its early stages, but ultimately
 HTTP became the dominant protocol. Gopher is still in use by enthusiasts:
 a small population of actively-maintained servers remains.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	# The Makefile supports CFLAGS, but not CPPFLAGS, let's append them.
	CFLAGS="$$CFLAGS $$CPPFLAGS" dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean

	# As of v1.00 there is no distclean target.
	rm -fv config.h

=== debian/watch ===
version=4
opts="mode=git" git://bitreich.org/sacc refs/tags/v([\d\.]+)

## sacc 1.04

=== debian/changelog ===
sacc (1.04-1) unstable; urgency=medium

  * New upstream version 1.04
  * d/{control,copyright}: update the maintainer address (paride@debian.org)
  * d/{watch,gbp.conf}: update the upstream tag format
  * d/copyright: update upstream copyright information
  * d/control: bump the dh compat level to 13 (via debhelper-compat)
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/patches: drop 0001-fix-manpage-spelling-error.patch (upstreamed)
  * d/control: Build-Depend on libtls-dev for TLS support
  * d/control: set Rules-Requires-Root: no
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Sat, 30 Oct 2021 14:31:18 +0000

## sacc 1.05

=== Makefile ===
# sacc: saccomys gopher client
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

BIN = sacc
MAN = $(BIN).1
OBJ = $(BIN:=.o) ui_$(UI).o io_$(IO).o

all: $(BIN)

config.h:
	cp config.def.h config.h

$(BIN): $(OBJ)
	$(CC) $(OBJ) $(LDFLAGS) $(IOLIBS) $(LIBS) -o $@

$(OBJ): config.h config.mk common.h io.h

clean:
	rm -f $(BIN) $(OBJ)

install: $(BIN)
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	cp -f $(BIN) $(DESTDIR)$(PREFIX)/bin/
	chmod 555 $(DESTDIR)$(PREFIX)/bin/$(BIN)
	mkdir -p $(DESTDIR)$(MANDIR)
	cp -f $(MAN) $(DESTDIR)$(MANDIR)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN) $(DESTDIR)$(MANDIR)/$(MAN)

# Stock FLAGS
SACCCFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE -D_GNU_SOURCE \
             -DVERSION=\"$(GETVER)\" $(IOCFLAGS) $(CFLAGS)

.c.o:
	$(CC) $(SACCCFLAGS) -c $<

=== debian/changelog ===
sacc (1.05-1) unstable; urgency=medium

  * New upstream version 1.05
  * d/gbp.conf: set debian-branch = debian/latest (DEP-14)

 -- Paride Legovini <paride@debian.org>  Thu, 06 Jan 2022 10:48:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: sacc
 Section: net
 Priority: optional
-Maintainer: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: debhelper (>= 11~), libncurses-dev
-Standards-Version: 4.2.1
+Maintainer: Paride Legovini <paride@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libncurses-dev,
+ libtls-dev,
+Standards-Version: 4.6.0
 Homepage: gopher://bitreich.org/1/scm/sacc
 Vcs-Git: https://salsa.debian.org/debian/sacc.git
 Vcs-Browser: https://salsa.debian.org/debian/sacc/
+Rules-Requires-Root: no
 
 Package: sacc
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: simple terminal gopher client
  sacc(omys) is a terminal gopher client. It it written in C and meant
  to be simple, fast, and secure. It has no support for other protocols,

=== debian/watch ===
version=4
opts="mode=git" git://bitreich.org/sacc refs/tags/([\d\.]+)

## sacc 1.06

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	cp -f $(BIN) $(DESTDIR)$(PREFIX)/bin/
 	chmod 555 $(DESTDIR)$(PREFIX)/bin/$(BIN)
 	mkdir -p $(DESTDIR)$(MANDIR)
-	cp -f $(MAN) $(DESTDIR)$(MANDIR)
+	sed -e "s/%VERSION%/$(GETVER)/" $(MAN) > $(DESTDIR)$(MANDIR)/$(MAN)
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN) $(DESTDIR)$(MANDIR)/$(MAN)

=== debian/changelog ===
sacc (1.06-1) unstable; urgency=medium

  * New upstream version 1.06
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/copyright: update copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Thu, 16 Jun 2022 19:53:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  libncurses-dev,
  libtls-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: gopher://bitreich.org/1/scm/sacc
 Vcs-Git: https://salsa.debian.org/debian/sacc.git
 Vcs-Browser: https://salsa.debian.org/debian/sacc/

## sacc 1.07

=== Makefile ===
# sacc: saccomys gopher client
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

BIN = sacc
MAN = $(BIN).1
OBJ = $(BIN:=.o) ui_$(UI).o io_$(IO).o

GETVER = $$(git rev-parse --is-inside-work-tree >/dev/null 2>&1 \
	&& git describe --tags \
	|| echo $(DEFVERSION))

all: $(BIN)

config.h:
	cp config.def.h config.h

version.h: .git/refs/heads/
	printf '#define VERSION "%s"\n' "$(GETVER)" > $@

$(BIN): $(OBJ)
	$(CC) $(SACCLDFLAGS) -o $@ $(OBJ) $(IOLIBS) $(LIBS)

$(OBJ): config.mk common.h
sacc.o: config.h version.h
ui_ti.o: config.h
io_$(IO).o: io.h

clean:
	rm -f $(BIN) $(OBJ) version.h

install: $(BIN)
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	cp -f $(BIN) $(DESTDIR)$(PREFIX)/bin/
	chmod 555 $(DESTDIR)$(PREFIX)/bin/$(BIN)
	mkdir -p $(DESTDIR)$(MANDIR)
	sed -e "s/%VERSION%/$(GETVER)/" $(MAN) > $(DESTDIR)$(MANDIR)/$(MAN)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN) $(DESTDIR)$(MANDIR)/$(MAN)

# Stock FLAGS
SACCCFLAGS = $(OSCFLAGS) \
             $(IOCFLAGS) \
             $(CFLAGS) \

SACCLDFLAGS = $(OSLDFLAGS) \
	      $(LDFLAGS) \

.git/refs/heads/:

.c.o:
	$(CC) $(SACCCFLAGS) -c $<

=== debian/changelog ===
sacc (1.07-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.2, no changes needed
  * d/salsa-ci.yml: add Salsa CI pipeline
  * d/copyright: bump copyright years for debian/*
  * d/control: drop R-R-R: no, reduntant with dpkg >= 1.22.13
  * d/watch: convert to version 5
  * d/patches: add patch to fix FTCBFS when building from tarball.
    Thanks to Helmut Grohne (Closes: 1115557)

 -- Paride Legovini <paride@debian.org>  Mon, 29 Sep 2025 22:28:28 +0200

sacc (1.07-1) unstable; urgency=medium

  * New upstream version 1.07
  * d/rules: compile with CFLAGS/LDFLAGS as set by dpkg-buildflags
  * d/gbp.conf: set compression = xz

 -- Paride Legovini <paride@debian.org>  Wed, 29 Nov 2023 20:21:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  debhelper-compat (= 13),
  libncurses-dev,
  libtls-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: gopher://bitreich.org/1/scm/sacc
 Vcs-Git: https://salsa.debian.org/debian/sacc.git
 Vcs-Browser: https://salsa.debian.org/debian/sacc/
-Rules-Requires-Root: no
 
 Package: sacc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 	dh $@
 
 override_dh_auto_build:
+	# Keep the existing CFLAGS and LDFLAGS if they are set.
+	# Upstream doesn't like this because ?= is GNU Make syntax.
+	sed -i 's/^\(CFLAGS \)=/\1?=/ ; s/^\(LDFLAGS \)=/\1?=/' config.mk
 	# The Makefile supports CFLAGS, but not CPPFLAGS, let's append them.
 	CFLAGS="$$CFLAGS $$CPPFLAGS" dh_auto_build

=== debian/watch ===
Version: 5

Mode: git
Source: git://bitreich.org/sacc
Matching-Pattern: refs/tags/([\d\.]+)
